Minecraft TabPlugins funktionieren nicht?

... komplette Frage anzeigen

2 Antworten

Solche Plugins brauchen NMS (net.minecraft.server) Funktionen, da sich für diese aber für jede Version die Paketnamen ändern gibt es für den Dev 2 Möglichkeiten:
Die schlechte (vermutlich hier der Fall): Man "probiert" durch und legt einfach für jede Version eine Klasse an, das geht dann aber maximal mit der neuesten MC Version zum Zeitpunkt des Kompilieren.
Die gute Methode: Man benutzt Reflections, ist zwar sehr umständlich aber funktioniert mit jeder Version.
Also solltest du dir ein Plugin suchen welches die letztere benutzt.

Antwort bewerten Vielen Dank für Deine Bewertung
Kommentar von yam1811
03.04.2016, 22:38

Ich benutze ja auf beiden Servern die gleiche MC Version Spigot 1.8.6

0
Kommentar von androhecker
03.04.2016, 22:40

Steht irgendwas im Log?

0

Was schreibt den die console?
Sind auf deinem Server und localhost die gleiche java version installiert?
Hast du vieleicht ein core Plugin vergessen?

Antwort bewerten Vielen Dank für Deine Bewertung
Kommentar von yam1811
03.04.2016, 20:47

Ja geliebte Java. Version und gleiche Spigot jar ich weiß halt nicht an was das liegt weil bei essentials habe ich Change Display Name auf false gestellt -.- und früher gingen ein paar Plugins noch (ich hatte Change Display Name immer auf false)

0

Was möchtest Du wissen?